#pragma once
#include <cyu3dma.h>

constexpr CyU3PDmaSocketId_t CY_FX_CONSUMER_CPU_SOCKET = CY_U3P_CPU_SOCKET_CONS;
constexpr CyU3PDmaSocketId_t CY_FX_PRODUCER_CPU_SOCKET = CY_U3P_CPU_SOCKET_PROD;
constexpr CyU3PDmaSocketId_t CY_FX_CONSUMER_I2C_SOCKET = CY_U3P_LPP_SOCKET_I2C_CONS;
constexpr CyU3PDmaSocketId_t CY_FX_PRODUCER_I2C_SOCKET = CY_U3P_LPP_SOCKET_I2C_PROD;
constexpr CyU3PDmaSocketId_t CY_FX_CONSUMER_USB_SOCKET = CY_U3P_UIB_SOCKET_CONS_1;
constexpr CyU3PDmaSocketId_t CY_FX_PRODUCER_USB_SOCKET = CY_U3P_UIB_SOCKET_PROD_1;
constexpr CyU3PDmaSocketId_t CY_FX_CONSUMER_PPORT_SOCKET = CY_U3P_PIB_SOCKET_0;
constexpr CyU3PDmaSocketId_t CY_FX_PRODUCER_PPORT_SOCKET = CY_U3P_PIB_SOCKET_1;
constexpr CyU3PDmaSocketId_t CY_FX_PRODUCER_DUAL_PPORT_SOCKET_FIRST = CY_U3P_PIB_SOCKET_2;
constexpr CyU3PDmaSocketId_t CY_FX_PRODUCER_DUAL_PPORT_SOCKET_SECOND = CY_U3P_PIB_SOCKET_3;
